Endpoint Examples

/versions/{version}/extract

Returns a list of skills found in a document.

Supported document types and their expected Content-Type:

  • JSON – application/json Document must be UTF-8 encoded.
  • Plain text – text/plain
  • PDF – application/pdf
  • Word (docx) – application/vnd.openxmlformats-officedocument.wordprocessingml.document

Request document size is limited to 10MB, text parsed from the document is limited to 50KB.

Note that this endpoint has a free tier monthly quota of 50 requests. Responses from this endpoint will include two headers, RateLimit-Remaining and RateLimit-Reset, which indicate how many requests you have remaining in your current quota period and when that quota will reset, respectively.

POST /skills/versions/{version_type}/extract

Path Parameters

NameTypeDescription
versionstringThe skills taxonomy version. Example: latest

Query Parameters

NameTypeDescription
languagestringLanguage selection parameter.This parameter is optional.Example: fr
confidenceThresholdnumberFilter out skills with a confidence value lower than this threshold (this query param does not apply for JSON requests)Minimum: 0Maximum: 1Default: 0.5

Code Examples

curl --request POST \
     --url https://api.lightcast.io/skills/versions/9.31/extract \
     --header 'accept: application/json' \
     --header 'authorization: Bearer'

Response Examples

{
  "attributions": [
    {
      "name": "Wikipedia",
      "text": "Wikipedia extracts are distributed under the CC BY-SA license (https://creativecommons.org/licenses/by-sa/3.0/)"
    }
  ],
  "data": [
    {
      "confidence": 1,
      "skill": {
        "id": "ES5A281A8917181656AD",
        "infoUrl": "https://lightcast.io/open-skills/skills/ES5A281A8917181656AD",
        "name": "LESS",
        "tags": [
          {
            "key": "wikipediaExtract",
            "value": "Less is a dynamic preprocessor style sheet language that can be compiled into Cascading Style Sheets (CSS) and run on the client side or server side.\nDesigned by Alexis Sellier, Less is influenced by Sass and has influenced the newer \"SCSS\" syntax of Sass, which adapted its CSS-like block formatting syntax. Less is an open source. Its first version was written in Ruby; however, in the later versions, use of Ruby has been deprecated and replaced by JavaScript. The indented syntax of Less is a nested metalanguage, as valid CSS is valid Less code with the same semantics. Less provides the following mechanisms: variables, nesting, mixins, operators and functions; the main difference between Less and other CSS precompilers is that Less allows real-time compilation via less.js by the browser."
          },
          {
            "key": "wikipediaUrl",
            "value": "https://en.wikipedia.org/wiki/Less_(stylesheet_language)"
          }
        ],
        "type": {
          "id": "ST1",
          "name": "Specialized Skill"
        }
      }
    },
    {
      "confidence": 1,
      "skill": {
        "id": "ESFEFEFDBA0B3BC39881",
        "infoUrl": "https://lightcast.io/open-skills/skills/ESFEFEFDBA0B3BC39881",
        "name": "SASS",
        "tags": [
          {
            "key": "wikipediaExtract",
            "value": "Sass is a preprocessor scripting language that is interpreted or compiled into Cascading Style Sheets (CSS). SassScript is the scripting language itself."
          },
          {
            "key": "wikipediaUrl",
            "value": "https://en.wikipedia.org/wiki/Sass_(stylesheet_language)"
          }
        ],
        "type": {
          "id": "ST1",
          "name": "Specialized Skill"
        }
      }
    },
    {
      "confidence": 1,
      "skill": {
        "id": "KSZX7YZWNR5IDR1I2VMZ",
        "infoUrl": "https://lightcast.io/open-skills/skills/KSZX7YZWNR5IDR1I2VMZ",
        "name": "Microservices",
        "tags": [
          {
            "key": "wikipediaExtract",
            "value": "Microservice architecture – a variant of the service-oriented architecture (SOA) structural style – arranges an application as a collection of loosely coupled services. In a microservices architecture, services are fine-grained and the protocols are lightweight."
          },
          {
            "key": "wikipediaUrl",
            "value": "https://en.wikipedia.org/wiki/Microservices"
          }
        ],
        "type": {
          "id": "ST1",
          "name": "Specialized Skill"
        }
      }
    },
    {
      "confidence": 1,
      "skill": {
        "id": "KS121F45VPV8C9W3QFYH",
        "infoUrl": "https://lightcast.io/open-skills/skills/KS121F45VPV8C9W3QFYH",
        "name": "Cascading Style Sheets (CSS)",
        "tags": [
          {
            "key": "wikipediaExtract",
            "value": "Cascading Style Sheets (CSS) is a style sheet language used for describing the presentation of a document written in a markup language such as HTML. CSS is a cornerstone technology of the World Wide Web, alongside HTML and JavaScript."
          },
          {
            "key": "wikipediaUrl",
            "value": "https://en.wikipedia.org/wiki/Cascading_Style_Sheets_-_CSS"
          }
        ],
        "type": {
          "id": "ST1",
          "name": "Specialized Skill"
        }
      }
    },
    {
      "confidence": 0.9999996423721313,
      "skill": {
        "id": "KSDJCA4E89LB98JAZ7LZ",
        "infoUrl": "https://lightcast.io/open-skills/skills/KSDJCA4E89LB98JAZ7LZ",
        "name": "React.js",
        "tags": [
          {
            "key": "wikipediaExtract",
            "value": "React is an open-source, front end, JavaScript library for building user interfaces or UI components. It is maintained by Facebook and a community of individual developers and companies.\nReact can be used as a base in the development of single-page or mobile applications. However, React is only concerned with state management and rendering that state to the DOM, so creating React applications usually requires the use of additional libraries for routing, as well as certain client-side functionality."
          },
          {
            "key": "wikipediaUrl",
            "value": "https://en.wikipedia.org/wiki/React.js"
          }
        ],
        "type": {
          "id": "ST1",
          "name": "Specialized Skill"
        }
      }
    },
    {
      "confidence": 0.9994209408760071,
      "skill": {
        "id": "KS1200771D9CR9LB4MWW",
        "infoUrl": "https://lightcast.io/open-skills/skills/KS1200771D9CR9LB4MWW",
        "name": "JavaScript (Programming Language)",
        "tags": [
          {
            "key": "wikipediaExtract",
            "value": "JavaScript, often abbreviated as JS, is a programming language that conforms to the ECMAScript specification. JavaScript is high-level, often just-in-time compiled, and multi-paradigm. It has curly-bracket syntax, dynamic typing, prototype-based object-orientation, and first-class functions."
          },
          {
            "key": "wikipediaUrl",
            "value": "https://en.wikipedia.org/wiki/Javascript_(programming_language)"
          }
        ],
        "type": {
          "id": "ST1",
          "name": "Specialized Skill"
        }
      }
    },
    {
      "confidence": 0.9914728403091431,
      "skill": {
        "id": "KS120FG6YP8PQYYNQY9B",
        "infoUrl": "https://lightcast.io/open-skills/skills/KS120FG6YP8PQYYNQY9B",
        "name": "Amazon Web Services",
        "tags": [
          {
            "key": "wikipediaExtract",
            "value": "Amazon Web Services (AWS) is a subsidiary of Amazon providing on-demand cloud computing platforms and APIs to individuals, companies, and governments, on a metered pay-as-you-go basis. These cloud computing web services provide a variety of basic abstract technical infrastructure and distributed computing building blocks and tools. One of these services is Amazon Elastic Compute Cloud (EC2), which allows users to have at their disposal a virtual cluster of computers, available all the time, through the Internet. AWS's version of virtual computers emulates most of the attributes of a real computer, including hardware central processing units (CPUs) and graphics processing units (GPUs) for processing; local/RAM memory; hard-disk/SSD storage; a choice of operating systems; networking; and pre-loaded application software such as web servers, databases, and customer relationship management (CRM)."
          },
          {
            "key": "wikipediaUrl",
            "value": "https://en.wikipedia.org/wiki/Amazon_Web_Services"
          }
        ],
        "type": {
          "id": "ST1",
          "name": "Specialized Skill"
        }
      }
    }
  ]
}
{
  "errors": [
    {
      "status": 400,
      "title": "Invalid request",
      "detail": "Invalid request body"
    }
  ]
}
{
  "errors": [
    {
      "title": "URL not found",
      "status": 404,
      "detail": "Unrecognized version: 77"
    }
  ]
}
{
  "errors": [
    {
      "detail": "Request size too large",
      "status": 413,
      "title": "Payload Too Large"
    }
  ]
}
{
  "errors": [
    {
      "detail": "Accepted Content-Type(s): 'application/json', 'application/pdf', 'application/vnd.openxmlformats-officedocument.wordprocessingml.document'",
      "status": 415,
      "title": "Unsupported Content Type"
    }
  ]
}


/versions/{version}/extract/trace

Returns a list of skills found in a document with its trace information, including contextual classification data found in the document that resulted in a skill match, and optionally the normalized text from the document used to extract skills.

Supported document types and their expected Content-Type:

  • JSON – application/json Document must be UTF-8 encoded.
  • Plain text – text/plain
  • PDF – application/pdf
  • Word (docx) – application/vnd.openxmlformats-officedocument.wordprocessingml.document

For the most accurate results mapping sourceStart and sourceEnd byte offsets on surface forms and context forms, be sure to request includeNormalizedText as true. Byte offsets are guaranteed to match the text returned in the normalizedText field.

Note that these are byte offsets, be sure the language you are parsing this text in is representing the returned string's characters as 8-bit bytes for proper source offset referencing.

Request document size is limited to 10MB, text parsed from the document is limited to 50KB.

Note that this endpoint has a free tier monthly quota of 50 requests. Responses from this endpoint will include two headers, RateLimit-Remaining and RateLimit-Reset, which indicate how many requests you have remaining in your current quota period and when that quota will reset, respectively.

POST Extract skills with source tracing

Path Parameters

NameTypeDescription
versionstringThe skills taxonomy version.Example: latest

Query Parameters

NameTypeDescription
languagestringLanguage selection parameter.This parameter is optional.Example: fr
includeNormalizedTextbooleanInclude normalized text used in the extraction process in the response (this query param does not apply for JSON requests)

Code Examples

curl --request POST \
     --url https://api.lightcast.io/skills/versions/9.31/extract/trace \
     --header 'accept: application/json' \
     --header 'authorization: Bearer' \
     --header 'content-type: application/json' \

Response Examples

{
  "attributions": [
    {
      "name": "Wikipedia",
      "text": "Wikipedia extracts are distributed under the CC BY-SA license (https://creativecommons.org/licenses/by-sa/3.0/)"
    }
  ],
  "data": {
    "normalizedText": null,
    "skills": [
      {
        "confidence": 1,
        "skill": {
          "id": "KSZX7YZWNR5IDR1I2VMZ",
          "infoUrl": "https://lightcast.io/open-skills/skills/KSZX7YZWNR5IDR1I2VMZ",
          "name": "Microservices",
          "tags": [
            {
              "key": "wikipediaExtract",
              "value": "Microservice architecture – a variant of the service-oriented architecture (SOA) structural style – arranges an application as a collection of loosely coupled services. In a microservices architecture, services are fine-grained and the protocols are lightweight."
            },
            {
              "key": "wikipediaUrl",
              "value": "https://en.wikipedia.org/wiki/Microservices"
            }
          ],
          "type": {
            "id": "ST1",
            "name": "Specialized Skill"
          }
        }
      },
      {
        "confidence": 1,
        "skill": {
          "id": "KS121F45VPV8C9W3QFYH",
          "infoUrl": "https://lightcast.io/open-skills/skills/KS121F45VPV8C9W3QFYH",
          "name": "Cascading Style Sheets (CSS)",
          "tags": [
            {
              "key": "wikipediaExtract",
              "value": "Cascading Style Sheets (CSS) is a style sheet language used for describing the presentation of a document written in a markup language such as HTML. CSS is a cornerstone technology of the World Wide Web, alongside HTML and JavaScript."
            },
            {
              "key": "wikipediaUrl",
              "value": "https://en.wikipedia.org/wiki/Cascading_Style_Sheets_-_CSS"
            }
          ],
          "type": {
            "id": "ST1",
            "name": "Specialized Skill"
          }
        }
      },
      {
        "confidence": 1,
        "skill": {
          "id": "ES5A281A8917181656AD",
          "infoUrl": "https://lightcast.io/open-skills/skills/ES5A281A8917181656AD",
          "name": "LESS",
          "tags": [
            {
              "key": "wikipediaExtract",
              "value": "Less is a dynamic preprocessor style sheet language that can be compiled into Cascading Style Sheets (CSS) and run on the client side or server side.\nDesigned by Alexis Sellier, Less is influenced by Sass and has influenced the newer \"SCSS\" syntax of Sass, which adapted its CSS-like block formatting syntax. Less is an open source. Its first version was written in Ruby; however, in the later versions, use of Ruby has been deprecated and replaced by JavaScript. The indented syntax of Less is a nested metalanguage, as valid CSS is valid Less code with the same semantics. Less provides the following mechanisms: variables, nesting, mixins, operators and functions; the main difference between Less and other CSS precompilers is that Less allows real-time compilation via less.js by the browser."
            },
            {
              "key": "wikipediaUrl",
              "value": "https://en.wikipedia.org/wiki/Less_(stylesheet_language)"
            }
          ],
          "type": {
            "id": "ST1",
            "name": "Specialized Skill"
          }
        }
      },
      {
        "confidence": 1,
        "skill": {
          "id": "ESFEFEFDBA0B3BC39881",
          "infoUrl": "https://lightcast.io/open-skills/skills/ESFEFEFDBA0B3BC39881",
          "name": "SASS",
          "tags": [
            {
              "key": "wikipediaExtract",
              "value": "Sass is a preprocessor scripting language that is interpreted or compiled into Cascading Style Sheets (CSS). SassScript is the scripting language itself."
            },
            {
              "key": "wikipediaUrl",
              "value": "https://en.wikipedia.org/wiki/Sass_(stylesheet_language)"
            }
          ],
          "type": {
            "id": "ST1",
            "name": "Specialized Skill"
          }
        }
      },
      {
        "confidence": 0.9999996423721313,
        "skill": {
          "id": "KSDJCA4E89LB98JAZ7LZ",
          "infoUrl": "https://lightcast.io/open-skills/skills/KSDJCA4E89LB98JAZ7LZ",
          "name": "React.js",
          "tags": [
            {
              "key": "wikipediaExtract",
              "value": "React is an open-source, front end, JavaScript library for building user interfaces or UI components. It is maintained by Facebook and a community of individual developers and companies.\nReact can be used as a base in the development of single-page or mobile applications. However, React is only concerned with state management and rendering that state to the DOM, so creating React applications usually requires the use of additional libraries for routing, as well as certain client-side functionality."
            },
            {
              "key": "wikipediaUrl",
              "value": "https://en.wikipedia.org/wiki/React.js"
            }
          ],
          "type": {
            "id": "ST1",
            "name": "Specialized Skill"
          }
        }
      },
      {
        "confidence": 0.9994209408760071,
        "skill": {
          "id": "KS1200771D9CR9LB4MWW",
          "infoUrl": "https://lightcast.io/open-skills/skills/KS1200771D9CR9LB4MWW",
          "name": "JavaScript (Programming Language)",
          "tags": [
            {
              "key": "wikipediaExtract",
              "value": "JavaScript, often abbreviated as JS, is a programming language that conforms to the ECMAScript specification. JavaScript is high-level, often just-in-time compiled, and multi-paradigm. It has curly-bracket syntax, dynamic typing, prototype-based object-orientation, and first-class functions."
            },
            {
              "key": "wikipediaUrl",
              "value": "https://en.wikipedia.org/wiki/Javascript_(programming_language)"
            }
          ],
          "type": {
            "id": "ST1",
            "name": "Specialized Skill"
          }
        }
      },
      {
        "confidence": 0.9914728403091431,
        "skill": {
          "id": "KS120FG6YP8PQYYNQY9B",
          "infoUrl": "https://lightcast.io/open-skills/skills/KS120FG6YP8PQYYNQY9B",
          "name": "Amazon Web Services",
          "tags": [
            {
              "key": "wikipediaExtract",
              "value": "Amazon Web Services (AWS) is a subsidiary of Amazon providing on-demand cloud computing platforms and APIs to individuals, companies, and governments, on a metered pay-as-you-go basis. These cloud computing web services provide a variety of basic abstract technical infrastructure and distributed computing building blocks and tools. One of these services is Amazon Elastic Compute Cloud (EC2), which allows users to have at their disposal a virtual cluster of computers, available all the time, through the Internet. AWS's version of virtual computers emulates most of the attributes of a real computer, including hardware central processing units (CPUs) and graphics processing units (GPUs) for processing; local/RAM memory; hard-disk/SSD storage; a choice of operating systems; networking; and pre-loaded application software such as web servers, databases, and customer relationship management (CRM)."
            },
            {
              "key": "wikipediaUrl",
              "value": "https://en.wikipedia.org/wiki/Amazon_Web_Services"
            }
          ],
          "type": {
            "id": "ST1",
            "name": "Specialized Skill"
          }
        }
      },
      {
        "confidence": 0.0023255813866853714,
        "skill": {
          "id": "ESED4FE68B1AAF9FF85F",
          "infoUrl": "https://lightcast.io/open-skills/skills/ESED4FE68B1AAF9FF85F",
          "name": "American Welding Society Codes",
          "tags": [],
          "type": {
            "id": "ST1",
            "name": "Specialized Skill"
          }
        }
      }
    ],
    "trace": [
      {
        "classificationData": {
          "contextForms": [
            {
              "sourceEnd": 232,
              "sourceStart": 229,
              "value": "CSS"
            },
            {
              "sourceEnd": 264,
              "sourceStart": 261,
              "value": "CSS"
            }
          ],
          "skills": [
            {
              "confidence": 0.9994209408760071,
              "skill": {
                "id": "KS1200771D9CR9LB4MWW",
                "infoUrl": "https://lightcast.io/open-skills/skills/KS1200771D9CR9LB4MWW",
                "name": "JavaScript (Programming Language)",
                "tags": [
                  {
                    "key": "wikipediaExtract",
                    "value": "JavaScript, often abbreviated as JS, is a programming language that conforms to the ECMAScript specification. JavaScript is high-level, often just-in-time compiled, and multi-paradigm. It has curly-bracket syntax, dynamic typing, prototype-based object-orientation, and first-class functions."
                  },
                  {
                    "key": "wikipediaUrl",
                    "value": "https://en.wikipedia.org/wiki/Javascript_(programming_language)"
                  }
                ],
                "type": {
                  "id": "ST1",
                  "name": "Specialized Skill"
                }
              }
            }
          ]
        },
        "surfaceForm": {
          "sourceEnd": 64,
          "sourceStart": 62,
          "value": "JS"
        }
      },
      {
        "classificationData": {
          "contextForms": [
            {
              "sourceEnd": 64,
              "sourceStart": 62,
              "value": "JS"
            },
            {
              "sourceEnd": 78,
              "sourceStart": 69,
              "value": "framework"
            },
            {
              "sourceEnd": 159,
              "sourceStart": 156,
              "value": "AWS"
            },
            {
              "sourceEnd": 232,
              "sourceStart": 229,
              "value": "CSS"
            },
            {
              "sourceEnd": 264,
              "sourceStart": 261,
              "value": "CSS"
            },
            {
              "sourceEnd": 270,
              "sourceStart": 268,
              "value": "JS"
            }
          ],
          "skills": [
            {
              "confidence": 0.9999996423721313,
              "skill": {
                "id": "KSDJCA4E89LB98JAZ7LZ",
                "infoUrl": "https://lightcast.io/open-skills/skills/KSDJCA4E89LB98JAZ7LZ",
                "name": "React.js",
                "tags": [
                  {
                    "key": "wikipediaExtract",
                    "value": "React is an open-source, front end, JavaScript library for building user interfaces or UI components. It is maintained by Facebook and a community of individual developers and companies.\nReact can be used as a base in the development of single-page or mobile applications. However, React is only concerned with state management and rendering that state to the DOM, so creating React applications usually requires the use of additional libraries for routing, as well as certain client-side functionality."
                  },
                  {
                    "key": "wikipediaUrl",
                    "value": "https://en.wikipedia.org/wiki/React.js"
                  }
                ],
                "type": {
                  "id": "ST1",
                  "name": "Specialized Skill"
                }
              }
            }
          ]
        },
        "surfaceForm": {
          "sourceEnd": 102,
          "sourceStart": 97,
          "value": "React"
        }
      },
      {
        "classificationData": {
          "contextForms": [
            {
              "sourceEnd": 203,
              "sourceStart": 191,
              "value": "architecture"
            }
          ],
          "skills": [
            {
              "confidence": 0.0023255813866853714,
              "skill": {
                "id": "ESED4FE68B1AAF9FF85F",
                "infoUrl": "https://lightcast.io/open-skills/skills/ESED4FE68B1AAF9FF85F",
                "name": "American Welding Society Codes",
                "tags": [],
                "type": {
                  "id": "ST1",
                  "name": "Specialized Skill"
                }
              }
            },
            {
              "confidence": 0.9914728403091431,
              "skill": {
                "id": "KS120FG6YP8PQYYNQY9B",
                "infoUrl": "https://lightcast.io/open-skills/skills/KS120FG6YP8PQYYNQY9B",
                "name": "Amazon Web Services",
                "tags": [
                  {
                    "key": "wikipediaExtract",
                    "value": "Amazon Web Services (AWS) is a subsidiary of Amazon providing on-demand cloud computing platforms and APIs to individuals, companies, and governments, on a metered pay-as-you-go basis. These cloud computing web services provide a variety of basic abstract technical infrastructure and distributed computing building blocks and tools. One of these services is Amazon Elastic Compute Cloud (EC2), which allows users to have at their disposal a virtual cluster of computers, available all the time, through the Internet. AWS's version of virtual computers emulates most of the attributes of a real computer, including hardware central processing units (CPUs) and graphics processing units (GPUs) for processing; local/RAM memory; hard-disk/SSD storage; a choice of operating systems; networking; and pre-loaded application software such as web servers, databases, and customer relationship management (CRM)."
                  },
                  {
                    "key": "wikipediaUrl",
                    "value": "https://en.wikipedia.org/wiki/Amazon_Web_Services"
                  }
                ],
                "type": {
                  "id": "ST1",
                  "name": "Specialized Skill"
                }
              }
            }
          ]
        },
        "surfaceForm": {
          "sourceEnd": 159,
          "sourceStart": 156,
          "value": "AWS"
        }
      },
      {
        "classificationData": {
          "contextForms": [],
          "skills": [
            {
              "confidence": 1,
              "skill": {
                "id": "KSZX7YZWNR5IDR1I2VMZ",
                "infoUrl": "https://lightcast.io/open-skills/skills/KSZX7YZWNR5IDR1I2VMZ",
                "name": "Microservices",
                "tags": [
                  {
                    "key": "wikipediaExtract",
                    "value": "Microservice architecture – a variant of the service-oriented architecture (SOA) structural style – arranges an application as a collection of loosely coupled services. In a microservices architecture, services are fine-grained and the protocols are lightweight."
                  },
                  {
                    "key": "wikipediaUrl",
                    "value": "https://en.wikipedia.org/wiki/Microservices"
                  }
                ],
                "type": {
                  "id": "ST1",
                  "name": "Specialized Skill"
                }
              }
            }
          ]
        },
        "surfaceForm": {
          "sourceEnd": 190,
          "sourceStart": 178,
          "value": "microservice"
        }
      },
      {
        "classificationData": {
          "contextForms": [],
          "skills": [
            {
              "confidence": 1,
              "skill": {
                "id": "KS121F45VPV8C9W3QFYH",
                "infoUrl": "https://lightcast.io/open-skills/skills/KS121F45VPV8C9W3QFYH",
                "name": "Cascading Style Sheets (CSS)",
                "tags": [
                  {
                    "key": "wikipediaExtract",
                    "value": "Cascading Style Sheets (CSS) is a style sheet language used for describing the presentation of a document written in a markup language such as HTML. CSS is a cornerstone technology of the World Wide Web, alongside HTML and JavaScript."
                  },
                  {
                    "key": "wikipediaUrl",
                    "value": "https://en.wikipedia.org/wiki/Cascading_Style_Sheets_-_CSS"
                  }
                ],
                "type": {
                  "id": "ST1",
                  "name": "Specialized Skill"
                }
              }
            }
          ]
        },
        "surfaceForm": {
          "sourceEnd": 232,
          "sourceStart": 229,
          "value": "CSS"
        }
      },
      {
        "classificationData": {
          "contextForms": [],
          "skills": [
            {
              "confidence": 1,
              "skill": {
                "id": "ES5A281A8917181656AD",
                "infoUrl": "https://lightcast.io/open-skills/skills/ES5A281A8917181656AD",
                "name": "LESS",
                "tags": [
                  {
                    "key": "wikipediaExtract",
                    "value": "Less is a dynamic preprocessor style sheet language that can be compiled into Cascading Style Sheets (CSS) and run on the client side or server side.\nDesigned by Alexis Sellier, Less is influenced by Sass and has influenced the newer \"SCSS\" syntax of Sass, which adapted its CSS-like block formatting syntax. Less is an open source. Its first version was written in Ruby; however, in the later versions, use of Ruby has been deprecated and replaced by JavaScript. The indented syntax of Less is a nested metalanguage, as valid CSS is valid Less code with the same semantics. Less provides the following mechanisms: variables, nesting, mixins, operators and functions; the main difference between Less and other CSS precompilers is that Less allows real-time compilation via less.js by the browser."
                  },
                  {
                    "key": "wikipediaUrl",
                    "value": "https://en.wikipedia.org/wiki/Less_(stylesheet_language)"
                  }
                ],
                "type": {
                  "id": "ST1",
                  "name": "Specialized Skill"
                }
              }
            },
            {
              "confidence": 1,
              "skill": {
                "id": "ESFEFEFDBA0B3BC39881",
                "infoUrl": "https://lightcast.io/open-skills/skills/ESFEFEFDBA0B3BC39881",
                "name": "SASS",
                "tags": [
                  {
                    "key": "wikipediaExtract",
                    "value": "Sass is a preprocessor scripting language that is interpreted or compiled into Cascading Style Sheets (CSS). SassScript is the scripting language itself."
                  },
                  {
                    "key": "wikipediaUrl",
                    "value": "https://en.wikipedia.org/wiki/Sass_(stylesheet_language)"
                  }
                ],
                "type": {
                  "id": "ST1",
                  "name": "Specialized Skill"
                }
              }
            }
          ]
        },
        "surfaceForm": {
          "sourceEnd": 259,
          "sourceStart": 249,
          "value": "LESS, SASS"
        }
      },
      {
        "classificationData": {
          "contextForms": [],
          "skills": [
            {
              "confidence": 1,
              "skill": {
                "id": "KS121F45VPV8C9W3QFYH",
                "infoUrl": "https://lightcast.io/open-skills/skills/KS121F45VPV8C9W3QFYH",
                "name": "Cascading Style Sheets (CSS)",
                "tags": [
                  {
                    "key": "wikipediaExtract",
                    "value": "Cascading Style Sheets (CSS) is a style sheet language used for describing the presentation of a document written in a markup language such as HTML. CSS is a cornerstone technology of the World Wide Web, alongside HTML and JavaScript."
                  },
                  {
                    "key": "wikipediaUrl",
                    "value": "https://en.wikipedia.org/wiki/Cascading_Style_Sheets_-_CSS"
                  }
                ],
                "type": {
                  "id": "ST1",
                  "name": "Specialized Skill"
                }
              }
            }
          ]
        },
        "surfaceForm": {
          "sourceEnd": 264,
          "sourceStart": 261,
          "value": "CSS"
        }
      },
      {
        "classificationData": {
          "contextForms": [
            {
              "sourceEnd": 232,
              "sourceStart": 229,
              "value": "CSS"
            },
            {
              "sourceEnd": 264,
              "sourceStart": 261,
              "value": "CSS"
            }
          ],
          "skills": [
            {
              "confidence": 0.9994209408760071,
              "skill": {
                "id": "KS1200771D9CR9LB4MWW",
                "infoUrl": "https://lightcast.io/open-skills/skills/KS1200771D9CR9LB4MWW",
                "name": "JavaScript (Programming Language)",
                "tags": [
                  {
                    "key": "wikipediaExtract",
                    "value": "JavaScript, often abbreviated as JS, is a programming language that conforms to the ECMAScript specification. JavaScript is high-level, often just-in-time compiled, and multi-paradigm. It has curly-bracket syntax, dynamic typing, prototype-based object-orientation, and first-class functions."
                  },
                  {
                    "key": "wikipediaUrl",
                    "value": "https://en.wikipedia.org/wiki/Javascript_(programming_language)"
                  }
                ],
                "type": {
                  "id": "ST1",
                  "name": "Specialized Skill"
                }
              }
            }
          ]
        },
        "surfaceForm": {
          "sourceEnd": 270,
          "sourceStart": 268,
          "value": "JS"
        }
      }
    ]
  }
}
{
  "errors": [
    {
      "status": 400,
      "title": "Invalid request",
      "detail": "Invalid request body"
    }
  ]
}
{
  "errors": [
    {
      "detail": "Request size too large",
      "status": 413,
      "title": "Payload Too Large"
    }
  ]
}
{
  "errors": [
    {
      "detail": "Accepted Content-Type(s): 'application/json', 'application/pdf', 'application/vnd.openxmlformats-officedocument.wordprocessingml.document'",
      "status": 415,
      "title": "Unsupported Content Type"
    }
  ]
}